/* https://www.freecodecamp.org/news/https-medium-com-nakayama-shingo-creating-responsive-tables-with-pure-css-using-the-grid-layout-module-8e0ea8f03e83/ */

.user-lookup-main {
    clear: both;
    font-size: 1rem; 
    margin: 0 auto;
    overflow: hidden;
    padding: 1rem 0;
    /* width: 960px; */
    width: 100%;
    padding: 20px 40px;
}

/* begin shingo */
ol.collection {
    margin: 5px 0px;
    padding: 0px;
}

li {
    list-style: none;
}

* {
    box-sizing: border-box;
}

/* end shingo */

/* begin accordion */
.accordion {
    /* background-color: #eee; */
    
    color: white;
    background: #212529;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    /* border: none; */
    border: 1px solid rgb(58, 23, 139);
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;
}

.active, .accordion:hover {
    background: coral;
    color: #fff;
  }

.panel {
    padding: 0 0px;
    display: none;
    background-color: white;
    overflow: hidden;
}

/* end accordion */

.dashboard-container {
    padding:50px;
}


.order-nav {

    /* float: left; */
    margin: 0.8rem 0rem;

}

/* begin flask blog css */
.account-img {
    height: 125px;
    width: 125px;
    margin-right: 20px;
    margin-bottom: 16px;
}

.dui-img {
    height: 170px;
    width: 272px;
    /* margin-right: 20px; */
    /* margin-bottom: 16px; */
}
  
.account-heading {
    font-size: 1rem;
}

    
.content-section {
    background: #ffffff;
    padding: 10px 20px;
    border: 1px solid #dddddd;
    border-radius: 3px;
    margin-bottom: 20px;
}


.form-group {
    margin: 0.2rem 1rem;
}
/* end flask blog css */


/* user lookup */

.collection-container>.user-container:first-child {
    background-color: blanchedalmond;
}

.user-container:hover {
    background-color: rgb(200, 227, 252);
}

/* Center header labels */
.collection-container>.user-container:first-child .attribute .attribute-footer {
    display: flex;
    align-items: center;
    justify-content: center;
    text-overflow: initial;
    overflow: auto;
    white-space: normal;
}


.user-lookup {
    border: 1px solid #ccc;  
    margin: 1rem 0rem; 
    border-radius: 10px; 
    overflow: hidden;
    font-size: 0.6rem;
  
}

.user-lookup-div {
    display: inline-flex;
    padding: 10px;
}

/* end user lookup */

/* begin user dashboard tabs with js */

.tab {
    overflow: hidden;
}

/* Style the buttons inside the tab */
.tab button {
    padding: 8px 10px;
    margin-right: 5px;
    font-size: 0.9em;
    /*   border: 1px solid red; */
    border-radius: 10px 10px 0 0;
    /* height: 33px; */
    float: left;
    background: #eee;
    text-transform: capitalize;
    color: #333;
    text-align: center;
    /* line-height: 2.0em; */
    cursor: pointer;
    list-style: none!important;
    transition: all 200ms;
    /*   border-right: 0.125rem solid #16a085; */
    border-top: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-bottom: 2px solid gray;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background: #f0554a;
    color: #fff;
}

/* Create an active/current tablink class */
.tab button.active {
    background: coral;
    color: #fff;
}

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    /* border-top: 1px solid #ccc; */
}
/* end user dashboard tabs with js */


/* begin user lookup */
/* show hide lookup toggler button */


button {
    border: 0 none;
    outline: 0 none;
}

button {
    background-color: #666;
    color: #fff;
}

button:hover,
button:focus {
    background-color: #555;
}

/* end show hide lookup toggler button */
/* end user lookup */

/* beging grid box for dui upload */

.picture-grid {
    display: grid;
    /* this guy makes them huge */
    /* repeat the pattern over and over */
    /* auto fit means browser you figure out how many times it will fit in the space available  */
    /* pattern: minmax 200 to 1fr, i want you to make a col min 200px and mx 1fr */
    /*  */
    /* grid-template-columns: repeat(auto-fit minmax(200px, 1fr)); */
    /* this guy makes them fit 240px */
    
    grid-template-columns: repeat(auto-fill, minmax(340px, 1fr));
    justify-items: center;
    grid-gap: 20px;
    grid-row-gap: 20px;
}

.grid-box img {
    display:block;
    width: 100%;
    box-shadow: 1px 0px 0px rgba(0,0,0,0.06);
    
}
/* end grid box for dui upload */

/* ------------------------------------------------ */
/* ---------- pc  MEDIA less than 960 ------------- */
/* ------------------------------------------------ */
@media screen and (max-width: 991px) {

    .user-lookup-main {
        width: 100%;

    }

}


/* ------------------------------------------------ */
/* only here min 767 shingo pc means > than 767     */
/* ------------------------------------------------ */
@media screen and (min-width: 767px) {

    /* begin shingo */
    .item-container {
        display: grid;
        grid-template-columns: 5em 2em 4em 5em 10fr 2fr 1fr 5em;
    }

    /*  mr added user lookup */

    .user-container {
        display: grid;
        grid-template-columns: 4em 3em 4fr 4fr 6fr 4fr 2fr;
    }

    /* mr added user lookup */

    .attribute-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(var(--column-width-min), 1fr));
    }

    /* Definition of wrapping column width for attribute groups. */
    .part-information {
        --column-width-min: 10em;
    }

    .role-login-information {
        --column-width-min: 5em;
    }

    /* Definition of wrapping column width for attribute groups. */
    .tel-dui-information {
        --column-width-min: 5em;
    }

    .part-id {
        --column-width-min: 10em;
    }

    .vendor-information {
        --column-width-min: 8em;
    }

    .quantity {
        --column-width-min: 5em;
    }

    .cost {
        --column-width-min: 5em;
    }

    .duty {
        --column-width-min: 5em;
    }

    .freight {
        --column-width-min: 5em;
    }

    .collection {
        border-top: 1px solid gray;
        border-bottom: 1px solid gray;
    }

    /* In order to maximize row lines, only display one line for a cell */
    .attribute {
        border-right: 1px solid gray;
        border-bottom: 1px solid gray;
        padding: 2px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

    .attribute-footer {
        /* border-right: 1px solid gray;
        border-bottom: 1px solid gray; */
        padding: 2px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }   

    .collection-container>.item-container:first-child {
        background-color: blanchedalmond;
    }

    .item-container:hover {
        background-color: rgb(200, 227, 252);
    }

    /* Center header labels */
    .collection-container>.item-container:first-child .attribute .attribute-footer {
        display: flex;
        align-items: center;
        justify-content: center;
        text-overflow: initial;
        overflow: auto;
        white-space: normal;
    }
    /* end shingo */




}

/* ------------------------------------------------ */
/* 2 Column Card Layout shingo less than 736     */
/* ------------------------------------------------ */
@media screen and (max-width: 766px) {

    /* body {display:none;}  */
    /* begin shingo */
    .collection-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 5px;
    }

    /* mr made 1 column starting with tablets*/

    /* 1 Column Card Layout shingo */
    /* .collection-container {
        display: grid;
        grid-template-columns: 1fr;
    } */
    /* end shingo */

    .item {
        border: 1px solid gray;
        border-radius: 2px;
        padding: 5px;
        font-size: 0.6rem;
    }

    /* Don't display the first item, since it is used to display the header for tabular layouts*/
    .collection-container>li:first-child {
        display: none;
    }

    .attribute::before {
        content: attr(data-name);
    }

    /* Attribute name for first column, and attribute value for second column. */
    .attribute {
        display: grid;
        grid-template-columns: minmax(5em, 30%) 1fr;
    }

    .attribute-footer {
        display: grid;
        grid-template-columns: minmax(5em, 30%) 1fr;
    }
    /* end shingo */

    .user-lookup-div {
        /* background-color: chartreuse; */
        display: inline-block;
    }
}

/* ------------------------------------------------ */
/* --------- mobile MEDIA when less than 575 ------ */
/* ------------------------------------------------ */
@media (max-width: 575px) {

    .user-lookup-main {
        width: 100%;
        padding: 5px 3px;
        font-size: 0.6rem; 
    }
    /* begin shingo */
    /* 1 Column Card Layout shingo */
    .collection-container {
        display: grid;
        grid-template-columns: 1fr;
    }

    .item {
        border: 1px solid gray;
        border-radius: 2px;
        padding: 5px;
        font-size: 0.8rem;
    }

    /* end shingo */


    .tab button {
  
        border-radius: 0px 0px 0 0;
        /* width: 25% */
        background-color: inherit;
        float: left;
        border: none;
        outline: none;
        cursor: pointer;
        padding: 5px 5px;
        transition: 0.3s;
        font-size: 14px;
        border: 1px solid #ccc;
        border-bottom: none; 
    }
    .account-img {
        height: 75px;
        width: 75px;
        margin-right: 0px;
        margin-bottom: 0px;
    }


    /* mr: this resizes the recaptcha when in mobile view */
    #rc-imageselect, 
    .g-recaptcha {
        transform:scale(0.8);
        -webkit-transform:scale(0.8);
        transform-origin:0 0;
        -webkit-transform-origin:0 0;
    }
   
    .dashboard-container {
        padding:10px 5px;
    }
    
    .user-lookup-div {
        /* background-color: chartreuse; */
        display: inline-block;
    }
    .picture-grid {
        display: grid;
        /* this guy makes them huge */
        /* repeat the pattern over and over */
        /* auto fit means browser you figure out how many times it will fit in the space available  */
        /* pattern: minmax 200 to 1fr, i want you to make a col min 200px and mx 1fr */
        /*  */
        /* grid-template-columns: repeat(auto-fit minmax(200px, 1fr)); */
        /* this guy makes them fit 240px */
        
        grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
        justify-items: center;
        grid-gap: 20px;
        grid-row-gap: 20px;
    }



}